Package com.io7m.idstore.server.service.sessions

# Class IdSessionAdmin

java.lang.Object
com.io7m.idstore.server.service.sessions.IdSessionAdmin

All Implemented Interfaces:
  `IdSessionType`

public final class IdSessionAdmin extends Object implements IdSessionType
A session for an admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdSessionAdmin(UUID inUserId, IdSessionSecretIdentifier inSessionId)`
  A controller for a single admin session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `adminId()`
  `Optional<IdDatabaseAdminSearchType>`
  `adminSearch()`
  `Optional<IdDatabaseAdminSearchByEmailType>`
  `adminSearchByEmail()`
  `Optional<IdDatabaseAuditEventsSearchType>`
  `auditSearch()`
  `IdSessionSecretIdentifier`
  `id()`
  `void`
  `setAdminSearch(IdDatabaseAdminSearchType search)`
  Set the new admin search.
  `void`
  `setAdminSearchByEmail(IdDatabaseAdminSearchByEmailType search)`
  Set the new admin by email search.
  `void`
  `setAuditSearch(IdDatabaseAuditEventsSearchType search)`
  Set the new audit record search.
  `void`
  `setUserSearch(IdDatabaseUserSearchType search)`
  Set the new user search.
  `void`
  `setUserSearchByEmail(IdDatabaseUserSearchByEmailType search)`
  Set the new user by email search.
  `String`
  `toString()`
  `Optional<IdDatabaseUserSearchType>`
  `userSearch()`
  `Optional<IdDatabaseUserSearchByEmailType>`
  `userSearchByEmail()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdSessionAdmin

    public IdSessionAdmin(UUID inUserId, IdSessionSecretIdentifier inSessionId)
    A controller for a single admin session.
    Parameters:
      `inUserId` - The admin ID
      `inSessionId` - The session ID

- ## Method Details

  - ### auditSearch

    public Optional<IdDatabaseAuditEventsSearchType> auditSearch()
    Returns:
      The audit record search

  - ### setAuditSearch

    public void setAuditSearch(IdDatabaseAuditEventsSearchType search)
    Set the new audit record search.
    Parameters:
      `search` - The audit record search

  - ### adminSearchByEmail

    public Optional<IdDatabaseAdminSearchByEmailType> adminSearchByEmail()
    Returns:
      The admin by email search

  - ### setAdminSearchByEmail

    public void setAdminSearchByEmail(IdDatabaseAdminSearchByEmailType search)
    Set the new admin by email search.
    Parameters:
      `search` - The admin by email search

  - ### adminSearch

    public Optional<IdDatabaseAdminSearchType> adminSearch()
    Returns:
      The admin search

  - ### setAdminSearch

    public void setAdminSearch(IdDatabaseAdminSearchType search)
    Set the new admin search.
    Parameters:
      `search` - The admin search

  - ### userSearchByEmail

    public Optional<IdDatabaseUserSearchByEmailType> userSearchByEmail()
    Returns:
      The user by email search

  - ### setUserSearchByEmail

    public void setUserSearchByEmail(IdDatabaseUserSearchByEmailType search)
    Set the new user by email search.
    Parameters:
      `search` - The user by email search

  - ### userSearch

    public Optional<IdDatabaseUserSearchType> userSearch()
    Returns:
      The user search

  - ### setUserSearch

    public void setUserSearch(IdDatabaseUserSearchType search)
    Set the new user search.
    Parameters:
      `search` - The user search

  - ### adminId

    public UUID adminId()
    Returns:
      The admin that owns the session

  - ### id

    public IdSessionSecretIdentifier id()
    Specified by:
      `id` in interface `IdSessionType`
    Returns:
      The unique identifier for the session

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`